using UnityEngine;
using System.Collections.Generic;

public class GuiState {

    protected string guiRootPath = "UIPrefabs/";

    protected Transform uiRoot;

    public virtual void Initialize() {
        if (GameObject.Find("r_UIRoot")) {
            uiRoot = GameObject.Find("r_UIRoot").transform;
        } else {
            GameObject tmpGO = (GameObject)Resources.Load(guiRootPath + "r_UIRoot");
            uiRoot = (Object.Instantiate(tmpGO) as GameObject).transform;
        }
    }
}
